Destination (Gradle API 7.6.4)

Package org.gradle.tooling.events.test

## Enum Destination

- java.lang.Object
- - java.lang.Enum<Destination>
  - - org.gradle.tooling.events.test.Destination

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Destination>`

      public enum Destination
      extends java.lang.Enum<Destination>
      implements java.io.Serializable

  Enumerates possible output streams for `TestOutputEvent`.
  Since:
    6.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `StdErr` |
    `StdOut` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Destination` | `fromCode​(int code)` |
    `int` | `getCode()` |
    `static Destination` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Destination[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### StdOut

          public static final Destination StdOut

    - #### StdErr

          public static final Destination StdErr

  - ### Method Detail

    - #### values

          public static Destination[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Destination c : Destination.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Destination valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### fromCode

          public static Destination fromCode​(int code)